
<template>
  <div class="Price">
    ￥<span class="newPrice">{{ priceNew1 }}</span
    >.00/年
    <span class="oldPrice">￥{{ priceOld1 }}.00/年</span>
  </div>
</template>

<script>
export default {
  props: {
    priceNew: {},
    priceOld: {},
  },
  computed: {
    priceNew1() {
      if (this.priceNew) {
        return this.priceNew;
      } else {
        return 0;
      }
    },
    priceOld1() {
      if (this.priceOld) {
        return this.priceOld;
      } else {
        return this.priceNew1 * 2;
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.Price {
  margin: 0 20px 0 20px;
  font-size: 14px;
  text-align: left;

  .newPrice {
    font-size: 30px;
    color: rgb(255, 96, 0);
    font-weight: 700;
  }

  .oldPrice {
    margin-left: 10px;
    font-size: 14px;
    color: #999999;
    text-decoration: line-through;
  }
}
</style>